↔️Transactions

API's to manage Transactions.

Create Payout Request

Payouts can be created for users which will be deducted from the Tenant Distribution Wallet.

circle-info

Good to know:

  • Payouts can be processed automatically or manually via the TygaPay dashboard. Contact [email protected] to configure your preferred payout process.

  • Tenant Distribution Wallets can be funded via bank transfers or crypto deposits. Contact [email protected] for more information.

Create a payout request that will credit a user's balance. All credits will be locked/pending until the funds are confirmed.

post
Header parameters
x-api-keystringRequired

Your unique API Key.

x-api-hashstringRequired

Your API Hash.

Body
thirdPartyIdstringOptional

Third party unique transaction id.

userIdstringOptional

Tyga user id.

amountnumberOptional

Amount to credit.

notifyUrlstringOptional

URL to notify after the payout is completed. (Webhook)

Responses
chevron-right
200

Payout request successfully created.

application/json
transactionIdstringOptional

Unique Id for the transaction.

thirdPartyIdstringOptional

Unique Id of the third party involved in the transaction.

post
/transactions/payout

Create Staking Payout Request

Staking allows users to earn rewards by holding and locking their cryptocurrencies over a period.

circle-info

Good to know:

  • Rewards are calculated based on the asset configuration.

  • For more details about staking terms and conditions, please contact [email protected].

Create a staking payout transaction.

post
Header parameters
x-api-keystringRequired

Your unique API Key.

x-api-hashstringRequired

Your API Hash.

Body
thirdPartyIdstringOptional

Third party unique transaction id.

userIdstringOptional

Tyga user id.

usdAmountnumberOptional

USD amount to stake.

assetstring Β· enumOptional

Type of staking - Supported KRU

Possible values:
durationInMonthsnumberOptional

Staking duration in months. Defaults to 3 months if not set.

Responses
chevron-right
200

Staking Payout request successfully created.

application/json
transactionIdstringOptional

Unique Id for the transaction.

thirdPartyIdstringOptional

Unique Id of the third party involved in the transaction.

post
/transactions/staking/payout

Revoke Staking Payout

Revoke a staking payout transaction.

post
Header parameters
x-api-keystringRequired

Your unique API Key.

x-api-hashstringRequired

Your API Hash.

Body
transactionIdstringOptional

Transaction Id for the staking request.

Responses
chevron-right
200

Revoked Staking Transaction Successfully.

application/json
transactionIdstringOptional

Unique Id for the transaction.

thirdPartyIdstringOptional

Unique Id of the third party involved in the transaction.

post
/transactions/staking/payout/revoke

Payout Completed Notify Url

POST https://your-notify-url

Request Body

Name
Type
Description

transactionId*

string

Unique Transaction Id.

thirdPartyId*

string

Unique Id of the third party involved in the transaction.

amount*

number

The transaction payout amount.

status*

string

success: Payout has been processed successfully. cancelled: Payout has been cancelled.

Get User Transactions

Fetches a list of transactions for a user.

get
Query parameters
idstringOptional

The Id of the transaction to retrieve.

userIdstringRequired

The Id of the user whose transactions to retrieve.

Header parameters
x-api-keystringRequired

Your unique API Key.

x-api-hashstringRequired

Your API Hash.

Responses
chevron-right
200

OK

application/json
idstringOptional

The unique Id of the transaction.

userIdstringOptional

The Id of the user who initiated the transaction.

tenantIdstringOptional

The Id of the tenant associated with the transaction.

statusstringOptional

The current status of the transaction.

amountnumberOptional

The amount of the transaction.

get
/transactions/users

Search Transactions

Fetches a transaction by order number or transaction hash.

get
Query parameters
txHashstringOptional

The transaction hash to retrieve.

orderNumberstringOptional

The order number to retrieve.

Header parameters
x-tenant-idstringRequired

The tenant ID.

x-api-keystringRequired

Your unique API Key.

x-api-hashstringRequired

Your API Hash.

Responses
chevron-right
200

OK

application/json
idstringOptional

The unique Id of the transaction.

userIdstringOptional

The Id of the user who initiated the transaction.

tenantIdstringOptional

The Id of the tenant associated with the transaction.

statusstringOptional

The current status of the transaction.

sidestringOptional

The side of the transaction.

typestringOptional

The type of the transaction.

orderIdstringOptional

The order Id associated with the transaction.

orderNumberstringOptional

The order number associated with the transaction.

amountnumberOptional

The amount of the transaction.

txHashstringOptional

The transaction hash.

createdDatestring Β· date-timeOptional

The date the transaction was created.

completedDatestring Β· date-timeOptional

The date the transaction was completed.

get
/transactions

Refund Pending Confirmation Transactions

In some instances, customers may make a duplicate payment or send a payment to a crypto wallet address that is no longer associated with an order. In such cases, the payment will remain unlinked to an order and be placed in a 'pending_confirmation' status until it can be confirmed or refunded.

Refund Pending Confirmation Payment Transactions.

post
Header parameters
x-api-keystringRequired

Your unique API Key.

x-api-hashstringRequired

Your API Hash.

Body
txIdstringOptional

Payment transaction id.

emailstringOptional

TygaPay account email that will receive the refund.

Responses
chevron-right
200

Refund Payment Transaction Successfully.

application/json
statusstringOptional

Status of the refund transaction.

messagestringOptional

Message indicating the status of the refund transaction.

post
/transactions/refund

Last updated